Bug 369572 - Regression kMail 5.3.1 QtWebEngine: HTML mail printing not possible if plain text view is preferred over HTML
Summary: Regression kMail 5.3.1 QtWebEngine: HTML mail printing not possible if plain ...
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.3.1
Platform: Neon Linux
: NOR major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-30 14:37 UTC by Gunter Ohrner
Modified: 2016-12-20 18:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.3.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gunter Ohrner 2016-09-30 14:37:27 UTC
I configured my kMail to prefer plain text content over HTML.

Since upgrading to a QtWebEngine based version, it's impossible to print HTML mails. This is a major issue, as nowadays most mails are only readable and printable if HTML is enabled.

1) I click the mail, which will be shown in plain text view.
2) I enable HTML rendering by clicking the corresponding link in the mail's header.
3) I enable loading of external references / images, if required.
4) I chose "print mail". A dialog pops up which informs me that QtWebEngine does not yet support printing and an external browser will be used.
5) I chose "Open in Browser" and the external browser will open, *showing the mail's plain text contents*... (With no way to switch on HTML rendering, of course...)

Expected:

The external browser shoul show the mail the way it's currently displayed in the mail view at the time the print command was invoked.

Reproducible: Always
Comment 1 Laurent Montel 2016-10-14 06:20:17 UTC
Git commit 8c304e1ed6c63d33c4dc63991298a7eb1c72b93e by Montel Laurent.
Committed on 14/10/2016 at 06:20.
Pushed by mlaurent into branch 'Applications/16.08'.

Bug 369572 - Regression kMail 5.3.1 QtWebEngine: HTML mail printing not possible if plain text view is preferred over HTML

FIXED-IN: 5.3.3

M  +2    -1    messageviewer/src/viewer/viewer_p.cpp

http://commits.kde.org/messagelib/8c304e1ed6c63d33c4dc63991298a7eb1c72b93e
Comment 2 Gunter Ohrner 2016-10-14 09:03:05 UTC
Great! Thanks Laurent! :-)

This bug was somewhat annoying, I always had to resort to Thunderbird to print bills and event tickets received as HTML mails... ;)

Thanks to KDE Neon this fix should now reach me rather quickly - or at least I hope so... ;)
Comment 3 PeterF 2016-12-17 14:24:20 UTC
Has this fix been lost in a regression again ? 
I still can't print email directly in Kmail (just upgraded to 5.4.0 on Arch Linux)?
qt5-webengine 5.7.1-1 (qt qt5) is also installed.
Thanks
Peter
Comment 4 Christoph Feck 2016-12-20 18:44:24 UTC
Printing from QtWebEngine unfortunately will only implemented starting with Qt 5.8.